
Foreman - Bug #5861

UnattendedHelper 'ks_console' method needs documentation or cleanup

05/21/2014 06:13 PM - Kevin Mullin

Status: New   

Priority: Low   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Going through the template writing Wiki, I noticed that there was a helper method to create serial console entries for PXELinux

templates.

http://projects.theforeman.org/projects/foreman/wiki/TemplateWriting#Functions-and-macros

Upon trying to actually use the method, I couldn't figure out how it worked.

After asking in #theforeman in IRC, Ohad eventually responded with:

22:56 <ohadlevy> it was a very old leftover, probably needs picking up fixing, mind creating an is

sue?

 Either this helper needs to be better documented, or 'cleaned up' since its apparently old.

History

#1 - 05/21/2014 06:15 PM - Kevin Mullin

Forgot to leave a link to the code in question:

https://github.com/theforeman/foreman/blob/master/app/helpers/unattended_helper.rb#L4-L6

#2 - 05/22/2014 08:16 AM - Dominic Cleal

- Category set to Templates
